Wordpress 5.2.4-hu frissítés hiba


#1

Sziasztok!
A Wordpress jelezte, hogy elérhető az új, 5.2.4.-hu HU verzió. Rákattintottam a frissítés most gombra, a folyamat minden gond nélkül végigmegy, be is jön a szokásos, ‘Üdvözli az új Wordpress’ képernyő, de ennek ellenére rögtön (ironikus módon már ezen a képernyőn is) újra jelzi, hogy elérhető ugyanez a frissítés, mintha semmi sem történt volna. A vezérlőpulton is jelzi, hogy van egy elérhető frissítés (1-es szám, fehér kör alakú nyilacskával). Az ezelőtti verzióval ugyanez volt a helyzet, gondoltam talán abban volt a hiba, de most ugyanezt tapasztalom.
Minden már bővítmény rendben frissíthető ugyanezen a módon.
Van bármi ötletetek, mi lehet ez, mi okozhatja, és hogyan tudom megoldani?


#2

Nekem ezt már sokadik verziónál csinálja. Ha megvan a frissítés és újra ott a jelzés, én elrejtem és nem bosszantom magam rajta :slight_smile:


#3

Amire tulajdonképpen kíváncsi lennék, az az, hogy melyik részben van a hiba: tehát hogy a frissítés rendben megtörténik, és csak a frissítés ikon/jelzés rossz, vagy a frissítés nem jó, és ezért jelzi a wordpress. :thinking:
Van arra mód, hogy valahol máshol megnézzem, melyik verzió van fent? A bővítmények miatt nagyon nm lenne jó, ha mostantól nem frissülne a wordpress.


#4

Én minden frissítést elfogadok. Sőt el sem kell fogadnom, mert automatán frissít a WP. Ha frissítés után mégis kiírja, hogy frissíthetek, azt az egy jelzést rejtem el. Ennek semmi hatása nincs a következő frissítésre.

Nemcsak az admin bal felső részében van kiírva a legfrisebb verzió. Hanem Eszközök -> Webhely egészség -> Információ.

De a Vezérlőpultból bármikor el tudod érni a frissítéseket és ellenőrizni tudod.

Hogy hol a hiba, azt nálam sokkal hozzáértőbb embertől kell megkérdezni. 2008 óta hobbi célra használom a WP-t, saját tárhelyen, saját domainnel. De mindig mindenem a legfrissebb.


#5

Mivel a WordPress nyílt forrású, minden problémának lehetséges megtalálni a kiváltó okát.

  1. a magyar kiadás néha (sokkal) később jön ki, mint az angol
  2. modern PHP környezetben ez az OPcache beállítás meggátolja a .php fájlok újra olvasását: opcache.validate_timestamps

A wp-includes/version.php-ban található az aktuális WordPress verzió és hozzá tartozó adatbázis (struktúra) verzió.
Az adatbázis (struktúra) verziónak a db_version nevű option-nel kell azonosnak lennie, amit a /wp-admin/options.php URL-en lehet megtalálni.

ui. ha van meghatározott célja a WordPress telepítésnek, akkor érdemes szakértőt felbérelni, hogy non-stop monitorozza, legyen a gazdája mindennek, benne minden folyamatnak is


#6

Milyen PHP verziót használsz? Legalább 5.6-ra kellene frissítened, de legjobb lenne már 7.x-re. Ebben a webtárhely szolgáltatód tud neked segíteni.

WordPress 5.2 is targeted for release at the end of this month, and with it comes an update to the minimum required version of PHP. WordPress will now require a minimum of PHP 5.6.20.